> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a payment link



## OpenAPI

````yaml /openapi.json get /payment-links/{id}
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /payment-links/{id}:
    get:
      tags:
        - payments
      summary: Get a payment link
      operationId: PaymentLifecycle.Web.PaymentLinkController.get
      parameters:
        - description: Payment link id
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Auth signature
          in: header
          name: x-auth-signature
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLinkResponse'
          description: Payment link
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    PaymentLinkResponse:
      type: object
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````